### Function

# GLib Timer new

#### Declaration

    GTimer*
    g_timer_new (
      void
    )

#### Description

Creates a new timer, and starts timing (i.e. `g_timer_start()` is implicitly called for you).

This function is not directly available to language bindings.

#### Return value

Type: `GTimer`

A new `GTimer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.